Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 122702 - [60cat] Generating WS client from WSDL with 'complex' classes generates faulty and missing code
[60cat] Generating WS client from WSDL with 'complex' classes generates fault...
Status: VERIFIED FIXED
Product: javame
Classification: Unclassified
Component: Web Services
6.x
PC Windows XP
: P1 (vote)
: 6.x
Assigned To: issues@mobility
issues@mobility
release60_fixes_candidate1, release60...
: RELNOTE
Depends on:
Blocks: 103818
  Show dependency treegraph
 
Reported: 2007-11-25 10:40 UTC by ieising
Modified: 2007-12-23 12:20 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
The relevant WS classes for this issue, located in the WAR part of the JavaEE project (1.36 KB, application/x-compressed)
2007-11-25 10:41 UTC, ieising
Details
The WS client part in the mobility project, the outerBogus class is missing, never generated (3.31 KB, application/x-compressed)
2007-11-25 10:43 UTC, ieising
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ieising 2007-11-25 10:40:29 UTC
[ BUILD # : RC2 ]
[ JDK VERSION : 1.6.0_02 ]

Hi,

When I have a WS that has an operation getInnerBogus and an operation
getOuterBogus where InnerBogus is a class with only fields of simple
types and OuterBogus has a field of type InnerBogus. And I generate a
Mobile WS Client from this WS, than NB doesn't generate the class
'outerBogus' and the xxStub and xxService classes in the mobile
project are not compiling any more.

I've attached the relevant files. The classes InnerBogus, OuterBogus
and the WS are in the WAR part of my JavaEE project.

Iwan
Comment 1 ieising 2007-11-25 10:41:55 UTC
Created attachment 53450 [details]
The relevant WS classes for this issue, located in the WAR part of the JavaEE project
Comment 2 ieising 2007-11-25 10:43:07 UTC
Created attachment 53451 [details]
The WS client part in the mobility project, the outerBogus class is missing, never generated
Comment 3 ieising 2007-11-25 10:43:48 UTC
I think this is a showstopper, as code generation should work at all times.
Comment 4 Michal Skvor 2007-11-26 15:03:18 UTC
Workaround: 
Change QNames of first level elements names to be unique. For example change them to return1, return2, ... 

Issue:
QName of internal elements in complex types could not be unique. The fix would be too complex.
Comment 5 Michal Skvor 2007-11-29 09:07:45 UTC
Fixed:
Checking in WSDL2JavaImpl.java;
/cvs/mobility/end2end/jsr172/src/org/netbeans/modules/e2e/wsdl/wsdl2java/WSDL2JavaImpl.java,v  <--  WSDL2JavaImpl.java
new revision: 1.25; previous revision: 1.24
done
Comment 6 Petr Blaha 2007-11-30 16:12:17 UTC
The bug isn't still verified, consider the fix for patch2.
Comment 7 Lukas Hasik 2007-12-03 14:47:40 UTC
verified in trunk build #4671 from deadlock.netbeans.org

Product Version: NetBeans IDE Dev (Build 20071203113754)
Comment 8 pgebauer 2007-12-04 18:59:24 UTC
The fix has been ported into the release60_fixes branch.

Checking in WSDL2JavaImpl.java;
/cvs/mobility/end2end/jsr172/src/org/netbeans/modules/e2e/wsdl/wsdl2java/WSDL2JavaImpl.java,v  <--  WSDL2JavaImpl.java
new revision: 1.23.2.1.2.1; previous revision: 1.23.2.1
done
Comment 9 Lukas Hasik 2007-12-09 22:43:20 UTC
verified in 60-patch1
Comment 10 ieising 2007-12-23 12:20:49 UTC
Yes, I checked it and it works.

Iwan


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo